#include <iostream>
#include <fstream>
#include <string>
#include "referencepoint.hh"
#include "measurement.hh"
#include "accesspoint.hh"
#include "clientinfo.hh"
#include "server.hh"
#include "point.hh"

using namespace std;


int main(int argc, char ** argv)
{
	ofstream output_file;
	string read_file;

	cout << "Called guinumo with args: ";
	for(int i = 1 ; i < argc ; i++)
		cout << argv[i] << " ";
	cout << endl;

	if(argc != 5)
		cout << "Usage: guinumo AP_file Ref_Pt_file Test_file logfile" << endl;
	else
	{
		string apfile = argv[1];
		string refptfile = argv[2];
		Server server(apfile, refptfile) ;
		//server.createClient() ;
		//server.monitorClient(0, ALGO_CONTINU_FRBHM) ;
		string testfile = argv[3];
		string logfile = argv[4];
		server.radar_exp(logfile, testfile);

		cout << argv[0] << " : fin." << endl ;
		fflush(stdout) ;
	}
	return 0;
}
